Last Comment Bug 539938 - Make L10n nightly updates work
: Make L10n nightly updates work
Status: RESOLVED FIXED
:
Product: SeaMonkey
Classification: Client Software
Component: Build Config (show other bugs)
: SeaMonkey 2.0 Branch
: All All
: -- normal (vote)
: seamonkey2.1a1
Assigned To: Robert Kaiser
:
Mentors:
Depends on: 449828 496196 537329
Blocks: 538132 554950
  Show dependency treegraph
 
Reported: 2010-01-15 06:38 PST by Robert Kaiser
Modified: 2010-03-25 08:22 PDT (History)
8 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
.2-fixed


Attachments
[comm-central] switch from "build_id" to "buildid" in "make ident" (1.03 KB, patch)
2010-01-15 07:22 PST, Robert Kaiser
bugspam.Callek: review+
Details | Diff | Splinter Review
[comm-central] add generate-snippet-% target (1.16 KB, patch)
2010-01-17 07:20 PST, Robert Kaiser
bugspam.Callek: review+
Details | Diff | Splinter Review
[mozilla-central] make generatesnippet.py accept a branch argument (3.22 KB, patch)
2010-01-18 11:01 PST, Robert Kaiser
armenzg: review+
dveditz: approval1.9.2.2+
Details | Diff | Splinter Review
[comm-central] add branch argument to generate-snippet-% target (823 bytes, patch)
2010-01-18 11:03 PST, Robert Kaiser
bugspam.Callek: review+
Details | Diff | Splinter Review
[buildbotcustom] set env var for branch (1.03 KB, patch)
2010-01-18 11:16 PST, Robert Kaiser
armenzg: review+
Details | Diff | Splinter Review
[buildbotcustom] set env var for branch, v2 (4.86 KB, patch)
2010-01-20 11:05 PST, Robert Kaiser
no flags Details | Diff | Splinter Review
[buildbotcustom] set env var for branch, v2 (947 bytes, patch)
2010-01-20 11:56 PST, Robert Kaiser
armenzg: review+
Details | Diff | Splinter Review

Description Robert Kaiser 2010-01-15 06:38:20 PST
At least on trunk, I'd like to get L10n nightly updates working, which I needed to turn off after bug 539780 / bug 537329 work because we have a slight bug in our locales/Makefile which I need to fix first.
Comment 1 Robert Kaiser 2010-01-15 07:22:34 PST
Created attachment 421839 [details] [diff] [review]
[comm-central] switch from "build_id" to "buildid" in "make ident"

This fixes our "make ident" to match what's expected and used for L10n nightly builds: http://hg.mozilla.org/build/buildbotcustom/file/b616aa1ece20/process/factory.py#l1808 et al. expect "buildid" and the Firefox version in http://hg.mozilla.org/mozilla-central/file/2a1ef305a435/browser/locales/Makefile.in#l289 (same for the mobile version) deliver it like that, but back when I added it on our side, this was not 100% set in stone yet and before trying to enable L10n nightly updates, we only used the two other properties defined there, and not this one yet.
Comment 2 Robert Kaiser 2010-01-16 06:44:08 PST
Pushed as http://hg.mozilla.org/comm-central/rev/75bcb1a6fc57 - keeping the bug open until I actually turn on nightly updates and see all steps succeed.
Comment 3 Robert Kaiser 2010-01-16 18:22:38 PST
Turned L10n nightly updates back on again for trunk SeaMonkey with http://hg.mozilla.org/build/buildbot-configs/rev/3ee21afaae2b - if builds with this are green with tomorrow's nightlies, this bug can be considered fixed.
Comment 4 Robert Kaiser 2010-01-17 06:55:15 PST
sh -c make generate-snippet-es-AR
 in dir /builds/slave/comm-central-trunk-linux-l10n-nightly/build/comm-central-trunk/suite/locales (timeout 1200 secs)

make: *** No rule to make target `generate-snippet-es-AR'.  Stop.


That means there is more work to be done, I need to look into that.
Comment 5 Robert Kaiser 2010-01-17 07:20:11 PST
Created attachment 422087 [details] [diff] [review]
[comm-central] add generate-snippet-% target

This additional patch applies attachment 383917 [details] [diff] [review] to SeaMonkey (the additional make call has later been moved into buildbot) but actually by copying http://hg.mozilla.org/comm-central/file/180c22a0e1b1/mail/locales/Makefile.in#l344 as they have the $(MOZILLA_SRCDIR) reference we need as well ;-)
Comment 6 Robert Kaiser 2010-01-17 14:14:49 PST
Hrm, http://hg.mozilla.org/mozilla-central/file/c63b24afe2c0/tools/update-packaging/generatesnippet.py#l119 makes an assumption that doesn't hold true for us, as we're uploading to a *-comm-central-trunk-l10n  directory and not *-comm-central-l10n. gozer cheated that for Thunderbird and just changed the upload directory so that it isn't "the same as en-US but with -l10n appended" any more, but not sure if that solution is ideal.

gozer, armenzg, what do you think?
Comment 7 Armen Zambrano [:armenzg] - Engineering productivity 2010-01-18 06:53:48 PST
(In reply to comment #6)
> Hrm,
> http://hg.mozilla.org/mozilla-central/file/c63b24afe2c0/tools/update-packaging/generatesnippet.py#l119
> makes an assumption that doesn't hold true for us, as we're uploading to a
> *-comm-central-trunk-l10n  directory and not *-comm-central-l10n. gozer cheated
> that for Thunderbird and just changed the upload directory so that it isn't
> "the same as en-US but with -l10n appended" any more, but not sure if that
> solution is ideal.
> 
> gozer, armenzg, what do you think?
>
I would say to add a new option called "--branch" and use that instead when used.
Comment 8 Robert Kaiser 2010-01-18 11:01:25 PST
Created attachment 422228 [details] [diff] [review]
[mozilla-central] make generatesnippet.py accept a branch argument

I'm not very good at python, but I hope I did get this one right - Armen, is that patch doing things as you expected?
Comment 9 Robert Kaiser 2010-01-18 11:03:20 PST
Created attachment 422229 [details] [diff] [review]
[comm-central] add branch argument to generate-snippet-% target
Comment 10 Robert Kaiser 2010-01-18 11:16:24 PST
Created attachment 422233 [details] [diff] [review]
[buildbotcustom] set env var for branch

This patch for buildbotcustom makes us set that branch env var - it's resulting in no difference for  Firefox etc. because branch equals the repo name there - and it doesn't have any effect as long as the Makefile doesn't hand it over to the script.
Comment 11 Armen Zambrano [:armenzg] - Engineering productivity 2010-01-18 11:43:05 PST
Comment on attachment 422228 [details] [diff] [review]
[mozilla-central] make generatesnippet.py accept a branch argument

Kairo it looks good.
Did it work as expected?

When landing could you land it first on mozilla-central to see that we don't cause any unexpected regression.
Comment 12 Robert Kaiser 2010-01-18 11:56:02 PST
(In reply to comment #11)
> (From update of attachment 422228 [details] [diff] [review])
> Kairo it looks good.
> Did it work as expected?

It did in local tests with and without the --branch argument in the suite target (i.e. without it did still produce the old, wrong-for-us path and with it I did get the correct one.

> When landing could you land it first on mozilla-central to see that we don't
> cause any unexpected regression.

That's my plan, yes.
Comment 13 Justin Wood (:Callek) 2010-01-18 19:55:17 PST
Comment on attachment 422229 [details] [diff] [review]
[comm-central] add branch argument to generate-snippet-% target

r+ assuming generatesnippet.py should fail out if FILE_BRANCH is not defined in environ prior to this running.

Automation in other patch does indeed ensure it should be in environ [in that case].
Comment 14 Robert Kaiser 2010-01-19 09:53:13 PST
Comment on attachment 422228 [details] [diff] [review]
[mozilla-central] make generatesnippet.py accept a branch argument

Pushed as http://hg.mozilla.org/mozilla-central/rev/96557e1413a1 - waiting for FF to cycle before checkin in any other parts
Comment 15 Robert Kaiser 2010-01-20 09:24:23 PST
Comment on attachment 422233 [details] [diff] [review]
[buildbotcustom] set env var for branch

Pushed as http://hg.mozilla.org/build/buildbotcustom/rev/f3925d17cec9
Comment 16 Robert Kaiser 2010-01-20 10:39:24 PST
(In reply to comment #15)
> (From update of attachment 422233 [details] [diff] [review])
> Pushed as http://hg.mozilla.org/build/buildbotcustom/rev/f3925d17cec9

And backed out again as this assignment was unfortunately done before self.branchName is being defined in the __init__ call below. Need to figure out what way to go best from here.
Comment 17 Robert Kaiser 2010-01-20 11:05:34 PST
Created attachment 422572 [details] [diff] [review]
[buildbotcustom] set env var for branch, v2

This new version of the buildbotcustom patch is currently even running on the SeaMonkey master and has proven to correctly set the env var (even though it doesn't actually make things work yet as the comm-central patch hasn't landed yet).
Comment 18 Robert Kaiser 2010-01-20 11:56:07 PST
Created attachment 422584 [details] [diff] [review]
[buildbotcustom] set env var for branch, v2

Oops, I attached the wrong patch, this is the right one.
Comment 19 Robert Kaiser 2010-01-20 12:37:40 PST
Comment on attachment 422229 [details] [diff] [review]
[comm-central] add branch argument to generate-snippet-% target

Pushed as http://hg.mozilla.org/comm-central/rev/d48a8dbd8fcc - together with the local application of the buildbotcustom patch things should actually turn to work with tomorrow's nightlies.
Comment 20 Robert Kaiser 2010-01-21 07:09:28 PST
OK, things are now working fine for SeaMonkey with attachment 422584 [details] [diff] [review] applied locally on the buildmaster.
Just waiting for review and checkin of that patch before closing the bug :)
Comment 21 Armen Zambrano [:armenzg] - Engineering productivity 2010-01-21 08:57:58 PST
Comment on attachment 422584 [details] [diff] [review]
[buildbotcustom] set env var for branch, v2

Now it is on the right place and I was able to checkconfig positively.
Comment 22 Robert Kaiser 2010-01-21 09:15:29 PST
Comment on attachment 422584 [details] [diff] [review]
[buildbotcustom] set env var for branch, v2

Pushed as http://hg.mozilla.org/build/buildbotcustom/rev/8bb13060629c
Comment 23 Robert Kaiser 2010-01-21 09:16:16 PST
Everything is pushed, L10n nightly updates are working for SeaMonkey users, so let's call this a success!
Comment 24 Robert Kaiser 2010-02-08 06:42:10 PST
Comment on attachment 422228 [details] [diff] [review]
[mozilla-central] make generatesnippet.py accept a branch argument

Standard8 says that Thunderbird needs this in 1.9.2 for their L10n builds.
Comment 25 Mark Banner (:standard8) 2010-02-08 06:56:39 PST
(In reply to comment #24)
> (From update of attachment 422228 [details] [diff] [review])
> Standard8 says that Thunderbird needs this in 1.9.2 for their L10n builds.

Just to elaborate on this, its a low-risk fix that affects l10n update packaging only. Has been on trunk for a while. We need it so we can correctly generate l10n updates for our Lanikai branch.
Comment 26 Daniel Veditz [:dveditz] 2010-02-19 13:58:16 PST
Comment on attachment 422228 [details] [diff] [review]
[mozilla-central] make generatesnippet.py accept a branch argument

Approved for 1.9.2.2, a=dveditz for release-drivers
Comment 27 Mark Banner (:standard8) 2010-02-20 00:59:04 PST
(In reply to comment #26)
> (From update of attachment 422228 [details] [diff] [review])
> Approved for 1.9.2.2, a=dveditz for release-drivers

Checked into 1.9.2:
http://hg.mozilla.org/releases/mozilla-1.9.2/rev/05bca8fcc15c

For QA purposes, check that nightly updates for l10n builds are still working correctly.

Note You need to log in before you can comment on or make changes to this bug.